<div class="row justify-content-between mb-4">
  <div class="col-lg-6 col-md-8 col-sm-9 col-12">
    <div class="row">
      <div class="col-md-3">
        <input class="form-control" type="search" placeholder="Recherche" [ngModel]="query.search"
               (input)="onSearchType($event)">
      </div>
      <div class="col-md-2">
        <select class="custom-select" style="width: auto" [(ngModel)]="query.page_size"
                (ngModelChange)="getComponentsFamilies()">
          <option [ngValue]="25">25 élements</option>
          <option [ngValue]="50">50 élements</option>
          <option [ngValue]="100">100 élements</option>
          <option [ngValue]="200">200 élements</option>
        </select>
      </div>
    </div>
  </div>
  <div class="col-lg-6 col-md-4 col-sm-3 col-12 text-right">
    <button (click)="componentFamilyModal()" type="button" class="btn btn-basic ml-2">
      Ajouter un composant
    </button>
  </div>
</div>

<div class="row">
  <div class="col-12">
    <ng-container *ngIf="componentFamilyPage && componentFamilyPage.results.length > 0; else fakeLines">
      <div *ngFor="let elem of componentFamilyPage.results;" [routerLink]="['/components-families/' + elem.id]"
         class="d-block bg-white shadow rounded p-4 mb-3">
        {{elem.name}}
      </div>
    </ng-container>
    <ng-template #fakeLines>
    </ng-template>
  </div>
</div>

<div *ngIf="componentFamilyPage" class="row">
  <div class="col-12">
    <ngb-pagination [collectionSize]="componentFamilyPage.results.length" [(page)]="query.page"
                    [pageSize]="query.page_size"
                    (pageChange)="getComponentsFamilies()">
    </ngb-pagination>
  </div>
</div>
